%define name libgksu1.2
%define version 1.2.3
%define release 1mdk

%define fakename gksu1.2

%define major _0
%define libname %mklibname %{fakename} %major
%define libnamedev %mklibname %{fakename} %major -d

Name: %{name}
Summary: GKSu libraries
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Url: http://www.nongnu.org/gksu/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%description
GKSu is a library that provides a Gtk+ frontend to su and sudo. It 
supports login shells and preserving environment when acting as a su
 frontend. It is useful to menu items or other graphical programs 
that need to ask a user's password to run another program as another user.

%package -n %libname
Summary: GKSu libraries
Group: System/Libraries

%description -n %libname
GKSu is a library that provides a Gtk+ frontend to su and sudo. It 
supports login shells and preserving environment when acting as a su 
 frontend. It is useful to menu items or other graphical programs 
that need to ask a user's password to run another program as another user.

%package -n %libnamedev
Summary: Development package for %{name}
Group: Development/Other
Requires: %libname = %version
Provides: libgksu1.2-devel

%description -n %libnamedev
Development package for %{name}

GKSu is a library that provides a Gtk+ frontend to su and sudo. It 
supports login shells and preserving environment when acting as a su 
 frontend. It is useful to menu items or other graphical programs 
that need to ask a user's password to run another program as another user.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%configure

%build

%make

%install

%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname -f %name.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
%_libdir/%name
%_libdir/pkgconfig/*
%_datadir/gtk-doc/html/%name
%doc INSTALL ChangeLog AUTHORS

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/*

%changelog 
* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.0.11-2mdk
- rebuild

* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.11-1mdk
- 0.0.11

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.10-2mdk
- rebuild

* Thu May 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.0.10-1mdk
- 0.0.10
- fix spec

* Mon Aug 20 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-5mdk
- rebuild

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-4mdk
- fixed by Laurent Grawet <laurent.grawet@ibelgique.com> :
	- Corrected group

* Fri Aug 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-3mdk
- clean spec

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-2mdk
- macros
- bm

* Tue Jun 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7-1mdk
- new in contribs
